<html>
	<head>
		<link href="/static/css/style.css" rel="stylesheet">
	</head>
	<body>
		{% include "header.html" %}
		<div class="container">
			<div>Hic situs est presentatio receptaculis datorum Anthologiae Graecae ex editione collaborativa Cathedrae Canadiensis Investigationis de scripturis digitalibus. <a href="https://anthologia.ecrituresnumeriques.ca">Hic est receptaculum datorum</a>.  </div>
			<div class="left">
				<h1>Index epigrammatum</h1>
				<div class="entitieslist">
<input type="text" id="myInput" onkeyup="myFunction()" placeholder="Epigramma quaerere.." title="Type in a name">


<ul id="myUL">
						{% for entity in entities %}
{% if loop.index == loop.length %}
{{loop.length}} epigrammata<br>
			{%endif%}
			{%endfor%}
						{% for entity in entities %}
						{% if entity["uris"][0] %}
						<li><a href="passages/urn:cts:greekLit:tlg7000.tlg001.ag:{{entity["title"]|replace('Greek Anthology ', '')}}">{{entity["title"]|replace('Greek Anthology', 'Anthologia Graeca')}}</a></li>
						{%else%}

						<li><a href="entity/{{entity["id_entity"]}}">{{entity["title"]}} - CAVE! Deficit uri</a></li>
						{%endif%}
						{% endfor %}
					</ul>
				</div>
			</div>

			<div class="right">
				<h1>Index argumentorum</h1>
				<div class="keywords">
<input type="text" id="myInput2" onkeyup="myFunction2()" placeholder="Argumentum quaerere.." title="Type in a name">


<ul id="myUL2">
					{% for keyword in keywords %}
					<li><a href="keyword/{{keyword["id_keyword"]}}">{% for title in keyword['versions'] %}{{title['title']}}{% if not loop.last %},
							{% endif %}{% endfor %}</a></li>
					{% endfor %}
					</ul>


				</div>
			</div>
		</div>
<script>
function myFunction() {
    var input, filter, ul, li, a, i, txtValue;
    input = document.getElementById("myInput");
    filter = input.value.toUpperCase();
    ul = document.getElementById("myUL");
    li = ul.getElementsByTagName("li");
    for (i = 0; i < li.length; i++) {
        a = li[i].getElementsByTagName("a")[0];
        txtValue = a.textContent || a.innerText;
        if (txtValue.toUpperCase().indexOf(filter) > -1) {
            li[i].style.display = "";
        } else {
            li[i].style.display = "none";
        }
    }
}
function myFunction2() {
    var input, filter, ul, li, a, i, txtValue;
    input = document.getElementById("myInput2");
    filter = input.value.toUpperCase();
    ul = document.getElementById("myUL2");
    li = ul.getElementsByTagName("li");
    for (i = 0; i < li.length; i++) {
        a = li[i].getElementsByTagName("a")[0];
        txtValue = a.textContent || a.innerText;
        if (txtValue.toUpperCase().indexOf(filter) > -1) {
            li[i].style.display = "";
        } else {
            li[i].style.display = "none";
        }
    }
}
</script>
	</body>
</html>
